import GLOOP.*;
class Ballwurfspiel{
    GLKamera   kamera;
    GLLicht    licht;
    GLHimmel   himmel;
    GLTastatur tastatur;

    GLKugel    ball;
    GLZylinder ziel;
    GLTafel    tafel;
    GLQuader   untergrund;

    Ballwurfspiel(){
        //Kamera, Licht, Himmel und Tastatur
        kamera   = new GLKamera(800,600);
        licht    = new GLLicht(); 
        himmel   = new GLHimmel("Himmel.jpg");
        tastatur = new GLTastatur();

        //Untergrund
        untergrund = new GLQuader(0,-200,-500,  2000,20,2000);
        untergrund.setzeTextur("Schach.jpg");

        //Anzeigetafel
        tafel = new GLTafel(0,100,300,  200,15 );
        tafel.setzeText("Triff das Ziel!!!",10);  

        //Ball
        ball = new GLKugel(0,-50,200,15);
        ball.setzeTextur("Streifen.jpg");
        ball.drehe(90,0,0);

        //Ziel an zufaelliger Position erzeugen
        double x = Math.random()*700 - 350;
        double y = Math.random()*300;        
        ziel = new GLZylinder (x,y,-1000, 100,20);
        ziel.setzeTextur("Ziel.jpg");

        fuehreAus();
    }

    void fuehreAus(){
        //Ball positionieren
        while (!tastatur.istGedrueckt(' ')){
            if (tastatur.oben()){
                ball.verschiebe(0,1,0);
            }
            if (tastatur.unten()){
                ball.verschiebe(0,-1,0);
            }
            if (tastatur.links()){
                ball.verschiebe(-1,0,0);
            }
            if (tastatur.rechts()){
                ball.verschiebe(1,0,0);
            }
            Sys.warte();
        }

        //Ball fliegen lassen
        while (ball.gibZ()>-1000){
            ball.verschiebe(0,0,-2);
            Sys.warte();
        }

        //Distanz zum Zielmittelpunkt berechnen
        double dX = ziel.gibX()-ball.gibX();
        double dY = ziel.gibY()-ball.gibY();
        double distanz = Math.sqrt( dX*dX + dY*dY );

        //Ausgabe setzen
        if (distanz < 100){
            tafel.setzeText("TREFFER!!!",10);
        } else {
            tafel.setzeText("Daneben!!!",10);
        }              

    }

}